DeepFellow DOCS
DeepFellow API ReferenceFine tuning pipelines

Retrieve a fine-tuning pipeline

Get a pipeline, including the version currently served (champion).

GET
/v1/fine_tuning/pipelines/{pipeline_id}
Authorization[Bearer <token>]

In: header

Path Parameters

pipeline_id[string]

The ID of the fine-tuning pipeline.

Match^[0-9a-fA-F]{24}$

Header Parameters

OpenAI-Organization?[string | null]

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?[string | null]

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

Response Body

curl -X GET "https://deepfellow-server-host/v1/fine_tuning/pipelines/5eb7cf5a86d9755df3a6c593" \  -H "OpenAI-Organization: string" \  -H "OpenAI-Project: string"
{
  "id": "5eb7cf5a86d9755df3a6c593",
  "object": "fine_tuning.pipeline",
  "project_id": "5eb7cf5a86d9755df3a6c593",
  "name": "string",
  "alias": "string",
  "base_model": "string",
  "source": {
    "vector_store_ids": [
      "5eb7cf5a86d9755df3a6c593"
    ]
  },
  "schedule": {
    "interval_hours": 1
  },
  "hyperparameters": {
    "n_epochs": "auto",
    "batch_size": "auto",
    "learning_rate_multiplier": "auto"
  },
  "quantization": "4bit",
  "worker_id": "5eb7cf5a86d9755df3a6c593",
  "serving_strategy": "blue_green",
  "promotion": {
    "min_delta": 0.2
  },
  "enabled": true,
  "active_run_id": "5eb7cf5a86d9755df3a6c593",
  "next_run_at": 0,
  "eval_set": {
    "file_id": "5eb7cf5a86d9755df3a6c593",
    "chunk_hashes": [
      "string"
    ],
    "size": 0,
    "version": 1,
    "built_at": 0
  },
  "champion": {
    "run_id": "5eb7cf5a86d9755df3a6c593",
    "version": 0,
    "adapter_id": "string",
    "score": 0,
    "eval_config_hash": "string",
    "eval_set_version": 0,
    "predictions_file_id": "5eb7cf5a86d9755df3a6c593",
    "infra_model_id": "string"
  },
  "created_at": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.